> ## Documentation Index
> Fetch the complete documentation index at: https://docs-stage.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Order Shipping Info (from Global-e)

> Updates the order's international shipping information on the Merchant site. Only order.OrderId and order.InternationalDetails members are mandatory for this method.



## OpenAPI

````yaml api-reference/specs/updateordershippinginfo.yaml POST /order-shipping-info-update-only-url
openapi: 3.0.3
info:
  title: UpdateOrderShippingInfo (Global-e to Merchant)
  version: 1.0.0
  x-scaled-review: true
  description: >-
    Updates the order's international shipping information on the Merchant site.
    Only order.OrderId and order.InternationalDetails members are mandatory for
    this method.
servers:
  - url: https://{merchant_site_domain}
    variables:
      merchant_site_domain:
        default: www.merchant-site-domain.com
        description: >-
          The merchant's site domain hosting the order-shipping-info-update
          endpoint.
security: []
tags:
  - name: UpdateOrderShippingInfo (Global-e to Merchant)
    x-page-title: Update Order Shipping Info (from Global-e)
  - name: 'Direction: Global-e → Merchant'
  - name: 'Domain: Orders'
paths:
  /order-shipping-info-update-only-url:
    post:
      tags:
        - UpdateOrderShippingInfo (Global-e to Merchant)
      summary: UpdateOrderShippingInfo (Global-e to Merchant)
      description: >-
        Updates the order's international shipping information on the Merchant
        site. Only order.OrderId and order.InternationalDetails members are
        mandatory for this method.
      operationId: updateOrderShippingInfo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MerchantOrder'
            example:
              OrderId: '00010000100000000020'
              InternationalDetails:
                OrderTrackingNumber: '1265443'
                ' OrderTrackingUrl': https://www.somecarrier.com/?1265443
              MerchantGUID: abcdabcd-abcd-abcd-abcd-abcdabcdabcd
      responses:
        '200':
          description: Response details regarding API call.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseInfo'
components:
  schemas:
    MerchantOrder:
      type: object
      title: Merchant.Order
      description: >-
        Object MerchantOrder contains details about the status of the order on
        the merchant's site.
      additionalProperties: true
      required:
        - OrderId
        - InternationalDetails
      properties:
        AdditionalRequiredDocuments:
          type: array
          items: {}
          description: >-
            The required additional documents for shipping. When the information
            is provided, the Merchant must wait for the documents to be provided
            before starting fulfilment.
        AllowMailsFromMerchant:
          type: boolean
          description: >-
            Indicates if the end customer has opted on the Global‑e checkout
            page to receive emails from the Merchant.

            TRUE - Customer opted to receive emails

            FALSE - Customer did not opt to receive emails
        CartHash:
          type: string
          description: >-
            Cart hash originally specified in the merchantCartHash argument for
            the SendCart method for the cart converted to this order on
            Global‑e.
        CartId:
          type: string
          description: >-
            Identifier of the cart on the Merchant’s site originally specified
            in merchantCartToken argument for SendCart method for the cart
            converted to this order on Global‑e.
        CashOnDeliveryFee:
          type: number
          description: Cash On Delivery fee amount in Merchant’s currency.
        CCFPrice:
          type: number
          description: Customs Clearance Fees (CCF), in the Merchant currency.
        ClearCart:
          type: boolean
          description: >-
            Indicates if the end customer’s cart must be cleared before this
            method finishes execution on the Merchant’s site.

            TRUE - The end customer’s cart must be cleared

            FALSE - The end customer's cart does not have to be cleare
        CurrencyCode:
          type: string
          description: >-
            3-char ISO currency code for the order being posted. By default,
            this is set to the original Merchant’s currency.
        CurrencyName:
          type: string
          description: Customer currency name. Returned by GetOrdersDetails API only
        Customer:
          type: object
          additionalProperties: true
          description: >-
            The paying customer’s preferences (Global-e acts as a paying
            customer).
        CustomerComments:
          type: string
          description: >-
            Holds the gift message. In the offline order flow, holds the product
            comment.
        CustomerDTBreakdown:
          type: object
          additionalProperties: true
          description: Contains the duties and tax parts the customer paid for the order.
        DateCreated:
          type: string
          description: Order creation date and time. Returned by GetOrdersDetails API only.
        DiscountedShippingPrice:
          type: number
          description: >-
            The shipping price paid by the customer converted to the Merchant’s
            currency. Total Shipping price reducing Order Discounts
            (InternationalDetails.DiscountedShippingPrice price converted to the
            Merchant currency).
        Discounts:
          type: array
          items: {}
          description: >-
            The list of discounts being applied to the order, according to the
            original list of discounts received in SendCart for this order, and
            to the Merchant shipping configuration on Global‑e.
        DoNotChargeVAT:
          type: boolean
          description: >-
            Indicates if the end customer hasn’t been charged VAT in Global‑e
            checkout, as specified in the doNotChargeVAT argument for the
            SendCart method for the cart converted to this order on Global‑e.

            TRUE - VAT is not charged

            TRUE - VAT is charged
        ExporterDetails:
          type: object
          properties:
            DestinationRegistrationNumber:
              type: number
              description: >-
                The Tax reference number of the GE Entity at the destination
                country. Should only be provided when the order is
                tax-collected. Otherwise, the field should be Null. The value
                should be Null if the order destination is for an EU country.
            LocalRegistrationClearance:
              type: boolean
              description: >-
                Indicates whether the Merchant can use the destination
                Registration number.

                TRUE - Merchant can use destination Registration number
                (ExporterDetails.DestinationRegistrationNumber)

                FALSE - Merchant cannot use destination Registration number .
        FreeShippingCouponCode:
          type: string
          description: >-
            Merchant’s free shipping CouponCode applied by the end customer, as
            specified in the FreeShippingCouponCode argument for the SendCart
            method for the cart converted to this order on Global‑e.
        InternationalDetails:
          type: object
          additionalProperties: true
          description: >-
            Details referring to the end customer’s order placed on the Global‑e
            side. These details apply only to the Merchants dealing with
            international customers’ support themselves.
          properties:
            OrderTrackingNumber:
              type: string
            OrderTrackingUrl:
              type: string
        IsB2B:
          type: boolean
          description: >-
            Indicates if the order has a Company name and VAT registration
            number.

            TRUE - Order contains a company name and VAT registration number

            FALSE - Order does not contain a company name and VAT registration
            number
        IsFreeShipping:
          type: boolean
          description: >-
            Indicates if the Merchant offers free international shipping to the
            end customer, as specified in the IsFreeShipping argument for the
            SendCart method for the cart converted to this order on Global‑e.

            TRUE - Shipping is free.

            FALSE - Shipping is not free.
        IsMoto:
          type: boolean
          description: >-
            Indicates if the the customer is a customer support agent and an
            “Offline order” took place

            TRUE - The customer is a customer support agent and an “Offline
            order” took place

            FALSE - The customer is a regular customer
        IsReplacementOrder:
          type: boolean
          description: |-
            Indicates if the order is a replacement.
            TRUE - The order is a replacement
            FALSE - The order is not a replacement
        IsSplitOrder:
          type: boolean
          description: >-
            Indicates if the order should be handled as a split order (i.e.
            without consolidation).

            TRUE - Order will be split

            FALSE - Order is not to be split
        IsTaxExemption:
          type: boolean
          description: |-
            Indicates if the order has a tax exemption.
            TRUE - Order has a tax exemption
            FALSE - Order does not have a tax exemption
        LoyaltyCode:
          type: string
          description: >-
            Loyalty code applicable to the Merchant’s site entered by the end
            customer in Global‑e checkout.
        LoyaltyPointsEarned:
          type: number
          description: >-
            The number of loyalty points to be earned for this purchase by the
            end customer on the Merchant’s site, as specified in the
            loyaltyPointsEarned argument for the SendCart method for the cart
            converted to this order on Global-e.
        LoyaltyPointsSpent:
          type: number
          description: >-
            The number of loyalty points spent for this purchase. The existing
            loyalty points handling procedure must be applied to the end
            customer’s user account. Therefore, the “Loyalty points” type
            discount must not be applied to the order directly but can be used
            for display purposes elsewhere in the system (i.e. on the end user’s
            My Account page).
        Markups:
          type: array
          items: {}
          description: >-
            The list of markups being applied to the order, according to the
            Merchant shipping configuration on Global‑e. Effectively Markup is a
            “negative Discount”. The main use case for markups is when the end
            customer is charged in Global‑e checkout, a flat shipping rate,
            which is higher than the shipping rate, calculated for the
            respective order. In this case, Global‑e pays the difference to the
            Merchant in the form of Markups applied to the order. Unlike
            Discounts, Markups may be only passed to the Merchant’s back-end ERP
            system for reconciliation purposes, and may not be displayed to the
            end customer.
        MerchantDTBreakdown:
          type: object
          additionalProperties: true
          description: >-
            Contains the duties and tax parts that the Merchant subsidized for
            the order.
        MerchantGUID:
          type: string
          description: Unique identifier of the Merchant on Global-e.
        MerchantOrderId:
          type: string
          description: >-
            Order unique identifier on the Merchant’s site returned from a
            previous call to the SendOrderToMerchant method for this order.
        ModifiedProduct:
          type: string
          description: Holds the product’s SKU
        OrderCreationSource:
          type: number
          enum:
            - 0
            - 1
          description: >-
            One of the values of OrderCreationSource enumeration denoting a type
            of discount shown in the OrderCreationSource Table.
        OrderDocuments:
          type: array
          items: {}
          description: >-
            Always contains a single document - it can be either a VAT Invoice
            or a Customer Receipt, depends if it is within the EU or not.
        OrderId:
          type: string
          description: Global‑e order unique identifier.
        OrderPaymentMethods:
          type: array
          items: {}
          description: List of payment methods the customer use (Credit card, Gift Cards)
        OrderStatusReason:
          type: object
          additionalProperties: true
          description: "Reason for the order status, why it was\_cancelled."
        OriginalOrder:
          type: object
          additionalProperties: true
          description: >-
            Details that refer to the original order if the current order is a
            replacement.
        OTCurrencyCode:
          type: string
          description: Currency of the one-time voucher code used to place the order.
        OTVoucherAmount:
          type: number
          description: The amount taken off the voucher when applicable.
        OTVoucherCode:
          type: string
          description: One-time voucher code used to place the order
        Parcels:
          type: array
          items: {}
          description: >-
            The list of parcels created for the order. Returned by
            GetOrdersDetails API only.
        PaymentDetails:
          type: object
          additionalProperties: true
          description: The paying customer’s payment details.
        PrePayOffered:
          type: boolean
          description: >-
            Indicates if the prepayment option for duties and taxes was offered
            to the customer.

            TRUE - Prepayment option offered.

            FALSE - Prepayment option not offered.
        PriceCoefficientRate:
          type: number
          description: CountryCoefficient rate applied to the prices in this order.
        PrimaryBilling:
          type: object
          additionalProperties: true
          description: >-
            The primary customer’s billing details. If IsEndCustomerPrimary is
            set to TRUE, then the primary customer is the payer and his details
            are indicated in the URL-encoded form.
        PrimaryShipping:
          type: object
          additionalProperties: true
          description: >-
            Primary customer’s shipping details. If
            Customer.IsEndCustomerPrimary is TRUE, this field contains the end
            customers' shipping details. this field contains the Global-e hub's
            shipping address in the URL-encoded form.
        Products:
          type: array
          items: {}
          description: The list of products being purchased.
        RoundingRate:
          type: number
          description: >-
            The average conversion rate applied to the prices paid by the end
            customer when calculating the prices paid by Global‑e to the
            Merchant in the original Merchant’s currency. This rate includes “FX
            conversion” and “marketing rounding” factors.
        SameDayDispatch:
          type: boolean
          description: >-
            Indicates if the end customer has requested “Same Day Dispatch” on
            Global‑e checkout.

            TRUE - Customer requested "Same Day Dispatch"

            FALSE - Customer did not request "Same Day Dispatch"
        SameDayDispatchCost:
          type: number
          description: >-
            Cost of the “Same Day Dispatch” option selected by the end customer
            on Global‑e checkout, in the original Merchant’s currency.
        SecondaryBilling:
          type: object
          additionalProperties: true
          description: >-
            Secondary customer’s billing details. If
            Customer.IsEndCustomerPrimary is FALSE, this contains attributes of
            the end customer’s details indicated in the URL-encoded form.
        SecondaryShipping:
          type: object
          additionalProperties: true
          description: >-
            Secondary customer’s shipping details. If
            Customer.IsEndCustomerPrimary is FALSE, this field contains the end
            customers' shipping details.
        ShippingMethodCode:
          type: string
          description: >-
            Code denoting the local shipping method selected from the list of
            available shipping options provided in the shippingOptionsList
            argument for the SendCart method for the cart converted to this
            order on Global‑e.
        ShipToStoreCode:
          type: string
          description: >-
            Code denoting the Merchant’s store specified by the customer for
            “ship to shop” shipping destination (to be mapped on the Global‑e
            side).
        StatusCode:
          type: string
          description: >-
            Code denoting the order status on the Merchant’s site (to be mapped
            on the Global‑e side).
        Subs:
          type: array
          items: {}
          description: >-
            Contains Sub orders related to Mixed order. This list is defined
            only in case the order is Mixed.
        TotalDutiesAndTaxesPrice:
          type: number
          description: >-
            Total Duties & Taxes value including Customs Clearance Fees, in the
            Merchant currency. This amount is the total amount, regardless of
            whether the customer or the Merchant paid it.
        TotalDutiesPaidByCustomerPrice:
          type: number
          description: >-
            The total amount of duties paid by the customer in the Merchant’s
            currency.
        UserId:
          type: string
          description: >-
            Internal User identifier on the Merchant’s site originally specified
            in the shippingDetails.UserIdargument for SendCart method for the
            cart converted to this order on Global‑e.
        USSalesTax:
          type: number
          description: >-
            Sales tax value for USA in the Merchant currency. This value is
            included in TotalDutiesAndTaxesPrice.
        WebStoreCode:
          type: string
          description: >-
            Code used on the Merchant’s side to identify the web store, as
            specified in the WebStoreCode argument for the SendCart method for
            the cart converted to this order on Global‑e.
    ResponseInfo:
      type: object
      title: Merchant.ResponseInfo
      description: Response details regarding API call.
      properties:
        Description:
          type: string
          description: >-
            Optional response description. In case of an error, this property
            indicates the error message description.
        ErrorCode:
          type: string
          description: Error code to be returned when an error occurs.
        InternalOrderId:
          type: string
          description: Order unique identifier on the Merchant’s site
        Message:
          type: string
          description: >-
            Optional response message. In case of an error, this property
            indicates the error message text.
        OrderId:
          type: string
          description: >-
            Order identifier on the Merchant’s site used for display and
            reporting purposes only. Unlike the InternalOrderId, this identifier
            is not necessarily unique over time, as the Merchant’s site may
            potentially reuse it (for example after deleting the old order
            having the same OrderId).
        PaymentAmount:
          type: string
          description: >-
            The total payment amount in PaymentCurrency charged for the order
            (if payment was processed in the respective API method call).
        PaymentCurrencyCode:
          type: string
          description: >-
            3-char ISO currency code for the order (if payment was processed in
            the respective API method call).
        StatusCode:
          type: string
          description: >-
            Code denoting the order status on the Merchant’s site (to be mapped
            on the Global‑e side).
        Success:
          type: boolean
          description: |-
            Indicates if the call has succeeded.
            TRUE - Call succeeded.
            FALSE - Denotes an error or failure.

````